## org.w3c.tools.resources.event
Interface StructureChangedListener

All Known Implementing Classes:
  AbstractContainer, ResourceEventMulticaster, StructureChangedAdapter, ToolsListerFrame

public interface StructureChangedListener
extends java.util.EventListener

Method Summary
`void` `resourceCreated(StructureChangedEvent evt)` A new resource has been created in some space.
`void` `resourceModified(StructureChangedEvent evt)` This handles the `RESOURCE_MODIFIED` kind of events.
`void` `resourceRemoved(StructureChangedEvent evt)` A resource is about to be removed This handles the `RESOURCE_REMOVED` kind of events.
`void` `resourceUnloaded(StructureChangedEvent evt)` A resource is about to be unloaded This handles the `RESOURCE_UNLOADED` kind of events.

Method Detail

### resourceModified

    public void resourceModified(StructureChangedEvent evt)

  This handles the `RESOURCE_MODIFIED` kind of events.
  Parameters:
    `evt` - The StructureChangeEvent.

### resourceCreated

    public void resourceCreated(StructureChangedEvent evt)

  A new resource has been created in some space. This handles the `RESOURCE_CREATED` kind of events.
  Parameters:
    `evt` - The event describing the change.

### resourceRemoved

    public void resourceRemoved(StructureChangedEvent evt)

  A resource is about to be removed This handles the `RESOURCE_REMOVED` kind of events.
  Parameters:
    `evt` - The event describing the change.

### resourceUnloaded

    public void resourceUnloaded(StructureChangedEvent evt)

  A resource is about to be unloaded This handles the `RESOURCE_UNLOADED` kind of events.
  Parameters:
    `evt` - The event describing the change.